OpenGLUT 0.6.3 development - OpenGLUT: og_misc.c File Reference
Keywords: OpenGLUT, FreeGLUT, OpenGL, GLUT, X11, Windows, Programming, Documentation, Download, Development, Sourceforge

OpenGLUT Documentation
Introduction | Documentation | Examples | Proposals | Authors | Copying | Todo | Bugs | Links

# og_misc.c File Reference

Miscellaneous functions. More...

## Functions
void | glutCopyColormap (int window)
int | glutExtensionSupported (const char *extension)
void | glutForceJoystickFunc (void)
GLfloat | glutGetColor (int color, int component)
void | glutIgnoreKeyRepeat (int ignore)
void | glutReportErrors (void)
void | glutSetColor (int nColor, GLfloat red, GLfloat green, GLfloat blue)
void | glutSetKeyRepeat (int repeatMode)

## Detailed Description

Miscellaneous functions.

## Function Documentation

void glutCopyColormap | ( | int | window | ) |

  | Copies a color map between windows. Parameters:
  | window | The window to copy to
Allows you to copy an entire color map from one window to another. This function copies from the current window. It copies to the indicated window. Respects the current layer setting. Bug: Unimplemented. See also: glutSetColor(), glutGetColor()

GLfloat glutGetColor | ( | int | color,
|  | int | component
| ) |

  | Gets an indexed color-mode entry's Red, Green, or Blue value. Parameters:
  | color | The palette entry to fetch.
  | component | Whether to fetch Red, Green, or Blue.
Allows you to get individual color-map entries in a GLUT_INDEX type of display. Respects the current layer setting. component may be any of: GLUT_RED GLUT_GREEN GLUT_BLUE Bug: Unimplemented. See also: glutSetColor(), glutCopyColorMap()

void glutSetColor | ( | int | nColor,
|  | GLfloat | red,
|  | GLfloat | green,
|  | GLfloat | blue
| ) |

  | Sets an indexed color-mode entry. Parameters:
  | nColor | The palette entry to change.
  | red | New red value for palette entry.
  | green | New green value for palette entry.
  | blue | New blue value for palette entry.
glutSetCursor() allows you to set individual color-map entries in a GLUT_INDEX type of display. Respects the current overlay setting. Bug: Unimplemented. See also: glutGetColor(), glutCopyColorMap()

OpenGLUT Development @ Sourceforge
Homepage | Summary | Files | CVS | Forums | Lists | Bugs | RFE
Generated on Tue Oct 5 18:44:24 2004 for OpenGLUT by doxygen 1.3.8
The OpenGLUT project is hosted by sourceforge.net.